# SourcePath: ppp/20080829dev
Summary	: The PPP (Point-to-Point Protocol) daemon.
Name: sony-target-dev-ppp
%define pkgname %{sony_tool_triplet}-%{sony_target_dialect}-dev-ppp
Version	: 2.4.4
Release: 08020502
URL: http://ppp.samba.org
Source:ftp://cs.anu.edu.au/pub/software/ppp/ppp-%{version}.tar.gz
Patch1:ppp_2.4.4rel-10.diff
Patch2:ppp-2.4.4-no_strip.patch
Patch3:ppp-fpic.patch
Patch4:ppp-install-path.patch
License: Other
Group: %{sony_group}
Distribution: %{sony_distribution}
Vendor: %{sony_vendor}
Packager: %{sony_packager}
Buildroot: %{_tmppath}/%{name}-root
Prefix: %{sony_target_dir}
BuildRequires: %{sony_tool_triplet}-%{sony_target_dialect}-dev-pam
%define _defaultdocdir	%{sony_target_dir}%{sony_target_dev_doc_dir}

#
#	SRPM ppp
#

%description

The Point-to-Point Protocol (PPP) provides a standard way to transmit
datagrams over a serial link, as well as a standard way for the machines
at either end of the link (the "peers") to negotiate various optional
characteristics of the link.  Using PPP, a serial link can be used to
transmit Internet Protocol (IP) datagrams, allowing TCP/IP connections
between the peers.

#
#	RPM ppp
#

%package -n %{pkgname}
Summary: The PPP (Point-to-Point Protocol) daemon.
Group: %{sony_group}
AutoReqProv: no

%description -n %{pkgname}
The Point-to-Point Protocol (PPP) provides a standard way to transmit
datagrams over a serial link, as well as a standard way for the machines
at either end of the link (the "peers") to negotiate various optional
characteristics of the link.  Using PPP, a serial link can be used to
transmit Internet Protocol (IP) datagrams, allowing TCP/IP connections
between the peers.

%prep
# %target_check
%setup  -q -n ppp-%{version}

%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
#%patch5 -p1

%build
%sony_target_dev_setup
./configure \
--prefix=%{sony_target_dev_prefix} \
--host=%{sony_target_config}   \
--target=%{sony_target_config}

make CC="$CC -DDO_BSD_COMPRESS=0" \
	RANLIB="$RANLIB" \
	USE_PAM=1 \
	COPTS="-DLOG_PPP=LOG_LOCAL2"


%install
rm -rf %{buildroot}
%sony_target_dev_setup

make DESTDIR=%{buildroot}%{sony_target_dir}%{sony_target_dev_prefix} \
	SYSCONF=%{buildroot}%{sony_target_dir}%{sony_target_dev_sysconf_dir} \
	INCDIR=%{buildroot}%{sony_target_dir}%{sony_target_dev_include_dir} \
	MANDIR=%{buildroot}%{sony_target_dir}%{sony_target_dev_man_dir} \
	install

install -d %{buildroot}%{sony_target_dir}%{sony_target_dev_include_dir}/

install -m 0644 include/net/pppio.h \
	%{buildroot}%{sony_target_dir}%{sony_target_dev_include_dir}/
install -m 0644 include/net/*compress.h \
	%{buildroot}%{sony_target_dir}%{sony_target_dev_include_dir}/

cd extra
 install -m 0644 options options.ttyXX \
 	%{buildroot}%{sony_target_dir}%{sony_target_dev_sysconf_dir}/ppp/
 install -m 0755 ip-up ip-down \
	%{buildroot}%{sony_target_dir}%{sony_target_dev_sysconf_dir}/ppp/

install -d %{buildroot}%{sony_target_dir}%{sony_target_dev_bin_dir}/
install -m 0755 pon plog poff \
	%{buildroot}%{sony_target_dir}%{sony_target_dev_bin_dir}/

install -d %{buildroot}%{sony_target_dir}%{sony_target_dev_man_dir}/man1/
install -m 0644 pon.1 \
	%{buildroot}%{sony_target_dir}%{sony_target_dev_man_dir}/man1/

### mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_dev_sysconf_dir}/init.d
### install -m 0755 init \
###	%{buildroot}%{sony_target_dir}%{sony_target_dev_sysconf_dir}/init.d/ppp

install -d 2750 %{buildroot}%{sony_target_dir}%{sony_target_dev_sysconf_dir}/ppp/peers
install -d 2750 %{buildroot}%{sony_target_dir}%{sony_target_dev_sysconf_dir}/chatscripts

 install -m 0600 pap-secrets \
	%{buildroot}%{sony_target_dir}%{sony_target_dev_sysconf_dir}/ppp/
 install -m 2750 provider.peer \
 	%{buildroot}%{sony_target_dir}%{sony_target_dev_sysconf_dir}/ppp/peers/provider
 install -m 2750 provider.chatscript \
	%{buildroot}%{sony_target_dir}%{sony_target_dev_sysconf_dir}/chatscripts/provider

#rm -rf %{buildroot}%{sony_target_dir}%{sony_target_dev_sysconf_dir}/ppp

cd ..
 mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_dev_sysconf_dir}/pam.d
 install -m 0644 pppd/ppp.pam \
 	%{buildroot}%{sony_target_dir}%{sony_target_dev_sysconf_dir}/pam.d/ppp

#gzip -v9 %{buildroot}%{sony_target_dir}%{sony_target_dev_man_dir}/man*/*

#ln -s pon.1.gz poff.1.gz
#ln -s pon.1.gz plog.1.gz

cp README LICENSE

rm -rf %{buildroot}%{sony_target_dir}%{sony_target_dev_man_dir}

%clean
rm -rf %{buildroot}


%files -n %{pkgname}
%defattr(-,root,root)
 %attr(2750,root,root) %dir %{sony_target_dir}%{sony_target_dev_sysconf_dir}/chatscripts
 %attr(0750,root,root) %config %{sony_target_dir}%{sony_target_dev_sysconf_dir}/chatscripts/provider
### %config %{sony_target_dir}%{sony_target_dev_sysconf_dir}/init.d/ppp
%config %{sony_target_dir}%{sony_target_dev_sysconf_dir}/pam.d/ppp
%attr(750,root,root) %config %dir %{sony_target_dir}%{sony_target_dev_sysconf_dir}/ppp
%config %{sony_target_dir}%{sony_target_dev_sysconf_dir}/ppp/chap-secrets
%config %{sony_target_dir}%{sony_target_dev_sysconf_dir}/ppp/ip-down
%config %{sony_target_dir}%{sony_target_dev_sysconf_dir}/ppp/ip-up
#%config %{sony_target_dir}%{sony_target_dev_sysconf_dir}/ppp/no_ppp_on_boot
%config %{sony_target_dir}%{sony_target_dev_sysconf_dir}/ppp/options
%config %{sony_target_dir}%{sony_target_dev_sysconf_dir}/ppp/options.ttyXX
%config %{sony_target_dir}%{sony_target_dev_sysconf_dir}/ppp/pap-secrets
%attr(2750,root,root) %dir %{sony_target_dir}%{sony_target_dev_sysconf_dir}/ppp/peers
%attr(0750,root,root) %config %{sony_target_dir}%{sony_target_dev_sysconf_dir}/ppp/peers/provider
%{sony_target_dir}%{sony_target_dev_bin_dir}/plog
%{sony_target_dir}%{sony_target_dev_bin_dir}/poff
%{sony_target_dir}%{sony_target_dev_bin_dir}/pon
%{sony_target_dir}%{sony_target_dev_sbin_dir}/chat
%attr(4754,root,root) %{sony_target_dir}%{sony_target_dev_sbin_dir}/pppd
%{sony_target_dir}%{sony_target_dev_sbin_dir}/pppdump
%{sony_target_dir}%{sony_target_dev_sbin_dir}/pppstats
%{sony_target_dir}%{sony_target_dev_sbin_dir}/pppoe-discovery
%{sony_target_dir}%{sony_target_dev_lib_dir}/pppd/2.4.4/minconn.so
%{sony_target_dir}%{sony_target_dev_lib_dir}/pppd/2.4.4/passprompt.so
%{sony_target_dir}%{sony_target_dev_lib_dir}/pppd/2.4.4/pppoatm.so
%{sony_target_dir}%{sony_target_dev_lib_dir}/pppd/2.4.4/rp-pppoe.so
%{sony_target_dir}%{sony_target_dev_lib_dir}/pppd/2.4.4/passwordfd.so
%{sony_target_dir}%{sony_target_dev_lib_dir}/pppd/2.4.4/radattr.so
%{sony_target_dir}%{sony_target_dev_lib_dir}/pppd/2.4.4/radius.so
%{sony_target_dir}%{sony_target_dev_lib_dir}/pppd/2.4.4/radrealms.so
%{sony_target_dir}%{sony_target_dev_lib_dir}/pppd/2.4.4/winbind.so
%{sony_target_dir}%{sony_target_dev_include_dir}/*.h
%{sony_target_dir}%{sony_target_dev_include_dir}/pppd/*

# %doc %{sony_target_dir}%{sony_target_dev_man_dir}/man*/*
# %doc LICENSE


%changelog
* Fri Aug 29 2008 Sony Corporation
- Version update to 2.4.4

* Tue Mar 13 2007 Sony Corporation
- SIGSEGV  bux fix

* Thu Mar 01 2007 Sony Corporation
- Version update to 2.4.3

* Fri Jun 16 2006 Sony Corporation
- Add -fpic option patch
- Release No 1up (020001->020101)

* Tue Feb 01 2005 Sony Corporation
- delete init.d script

* Thu Jan 13 2005 Sony Corporation
- delete tmpl pml files

* Thu Nov 18 2004 Sony Corporation
- delete online manual

* Tue Nov 10 2004 Sony Corporation
- change  Name: ppp -> Name: sony-target-dev-ppp

* Mon Oct 18 2004 Sony Corporation
- Initial build
